PostgreSQL 7.1.3 Documentation
Prev |  | Next

# listfields

## Name

listfields -- lists the fields names of the query result

## Synopsis

    listfields()

### Parameters

none

### Return Type

list

  field names

### Exceptions

SyntaxError

  Too many arguments.

pg.error

  Invalid query result, or invalid connection.

## Description

`listfields()` method returns the list of field names defined for the query result. The fields are in the same order as the result values.

Prev | Home | Next
dictresult | Up | fieldname